Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451155 - Store - local and 2pc txn on multiple queues not atomic
Summary: Store - local and 2pc txn on multiple queues not atomic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
urgent
high
Target Milestone: 1.0.1
: ---
Assignee: Kim van der Riet
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On: 430774
Blocks: 460115
TreeView+ depends on / blocked
 
Reported: 2008-06-13 01:39 UTC by Carl Trieloff
Modified: 2008-10-06 19:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-06 19:08:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0640 normal SHIPPED_LIVE Red Hat Enterprise MRG bug fix and enhancement update 2008-10-06 19:08:07 UTC

Description Carl Trieloff 2008-06-13 01:39:46 UTC
Under a specific failure condition, normal recovery could fail to guarantee full
atomicity. This will be addressed in an errata. In the meantime, the journal
contains a sufficient record to avoid data loss following manual correction by
the Red Hat team.

Comment 1 Kim van der Riet 2008-07-11 21:07:26 UTC
Fixed for 2PC in r.2187/8 and for 1PC in 2189.

Comment 3 Frantisek Reznicek 2008-09-24 15:04:08 UTC
RHTS automated tests (MRG/qpid_txtest_fails_bz458053 and
MRG/qpid_test_transaction_integrity) now prove atomicity. (->VERIFIED)

Comment 5 errata-xmlrpc 2008-10-06 19:08:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html


Note You need to log in before you can comment on or make changes to this bug.